> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Earnings Stats (/api-reference/fansly/earnings/get-earnings-stats)

Get earnings aggregated by transaction type over a date range.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml get /api/fansly/{fanslyAccount}/earnings/stats
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/earnings/stats:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: Get Earnings Stats
      operationId: getEarningsStats
      description: Get earnings aggregated by transaction type over a date range.
      parameters:
        - in: query
          name: before
          description: End of the date range (ISO 8601). Defaults to now.
          example: 2026-06-03T23:59:59Z
          required: false
          schema:
            type: string
            description: End of the date range (ISO 8601). Defaults to now.
            example: 2026-06-03T23:59:59Z
        - in: query
          name: after
          description: Start of the date range (ISO 8601). Defaults to 30 days ago.
          example: 2026-05-03T00:00:00Z
          required: false
          schema:
            type: string
            description: Start of the date range (ISO 8601). Defaults to 30 days ago.
            example: 2026-05-03T00:00:00Z
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - type: 2116
                      totalGross: 5000
                      totalNet: 4000
                      accountId: "800000000000000001"
                      timestamp: 1780358400000
                    - type: 15001
                      totalGross: 10000
                      totalNet: 8000
                      accountId: "800000000000000001"
                      timestamp: 1780444800000
                  _meta:
                    _credits:
                      used: 1
                      balance: 10055765
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: array
                    example:
                      - type: 2116
                        totalGross: 5000
                        totalNet: 4000
                        accountId: "800000000000000001"
                        timestamp: 1780358400000
                      - type: 15001
                        totalGross: 10000
                        totalNet: 8000
                        accountId: "800000000000000001"
                        timestamp: 1780444800000
                    items:
                      type: object
                      properties:
                        type:
                          type: integer
                          example: 2116
                        totalGross:
                          type: integer
                          example: 5000
                        totalNet:
                          type: integer
                          example: 4000
                        accountId:
                          type: string
                          example: "800000000000000001"
                        timestamp:
                          type: integer
                          example: 1780358400000
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 10055765
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Earnings
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````